org.eclipse.emf.compare.util

## Class CompareSwitch<T>

- java.lang.Object
- - org.eclipse.emf.compare.util.CompareSwitch<T>

Direct Known Subclasses:
  ConflictSearchFactory

    public class CompareSwitch<T>
    extends Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ComparePackage`
Generated:

### Field Summary

Fields
`static String` `copyright`
`protected static ComparePackage` `modelPackage` The cached model package

### Constructor Summary

Constructors
Constructor and Description
`CompareSwitch()` Creates an instance of the switch

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseAttributeChange(AttributeChange object)` Returns the result of interpreting the object as an instance of 'Attribute Change'
`T` `caseComparison(Comparison object)` Returns the result of interpreting the object as an instance of 'Comparison'
`T` `caseConflict(Conflict object)` Returns the result of interpreting the object as an instance of 'Conflict'
`T` `caseDiff(Diff object)` Returns the result of interpreting the object as an instance of 'Diff'
`T` `caseEquivalence(Equivalence object)` Returns the result of interpreting the object as an instance of 'Equivalence'
`T` `caseFeatureMapChange(FeatureMapChange object)` Returns the result of interpreting the object as an instance of 'Feature Map Change'
`T` `caseMatch(Match object)` Returns the result of interpreting the object as an instance of 'Match'
`T` `caseMatchResource(MatchResource object)` Returns the result of interpreting the object as an instance of 'Match Resource'
`T` `caseReferenceChange(ReferenceChange object)` Returns the result of interpreting the object as an instance of 'Reference Change'
`T` `caseResourceAttachmentChange(ResourceAttachmentChange object)` Returns the result of interpreting the object as an instance of 'Resource Attachment Change'
`T` `caseResourceLocationChange(ResourceLocationChange object)` Returns the result of interpreting the object as an instance of 'Resource Location Change'
`T` `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`protected T` `doSwitch(int classifierID, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### modelPackage

    protected static ComparePackage modelPackage

The cached model package

Generated:

### Constructor Detail

#### CompareSwitch

    public CompareSwitch()

Creates an instance of the switch.

Generated:

### Method Detail

#### doSwitch

    public T doSwitch(EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated:

#### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated:

#### doSwitch

    protected T doSwitch(int classifierID,
                         EObject theEObject)

Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Returns:
  the first non-null result returned by a `caseXXX` call.
Generated:

#### caseComparison

    public T caseComparison(Comparison object)

Returns the result of interpreting the object as an instance of 'Comparison'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Comparison'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseMatchResource

    public T caseMatchResource(MatchResource object)

Returns the result of interpreting the object as an instance of 'Match Resource'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Match Resource'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseMatch

    public T caseMatch(Match object)

Returns the result of interpreting the object as an instance of 'Match'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Match'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseDiff

    public T caseDiff(Diff object)

Returns the result of interpreting the object as an instance of 'Diff'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Diff'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseResourceAttachmentChange

    public T caseResourceAttachmentChange(ResourceAttachmentChange object)

Returns the result of interpreting the object as an instance of 'Resource Attachment Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Resource Attachment Change'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseResourceLocationChange

    public T caseResourceLocationChange(ResourceLocationChange object)

Returns the result of interpreting the object as an instance of 'Resource Location Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Resource Location Change'.
Since:
  3.2
See Also:
  `doSwitch(EObject)`
Generated:

#### caseReferenceChange

    public T caseReferenceChange(ReferenceChange object)

Returns the result of interpreting the object as an instance of 'Reference Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Reference Change'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseAttributeChange

    public T caseAttributeChange(AttributeChange object)

Returns the result of interpreting the object as an instance of 'Attribute Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Attribute Change'.
See Also:
  `doSwitch(EObject)`
Generated:

#### caseFeatureMapChange

    public T caseFeatureMapChange(FeatureMapChange object)

Returns the result of interpreting the object as an instance of 'Feature Map Change'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Feature Map Change'.
Since:
  3.2
See Also:
  `doSwitch(EObject)`
Generated:

#### caseConflict

    public T caseConflict(Conflict object)

Returns the result of interpreting the object as an instance of 'Conflict'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Conflict'.
Since:
  3.2
See Also:
  `doSwitch(EObject)`
Generated:

#### caseEquivalence

    public T caseEquivalence(Equivalence object)

Returns the result of interpreting the object as an instance of 'Equivalence'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Equivalence'.
See Also:
  `doSwitch(EObject)`
Generated:

#### defaultCase

    public T defaultCase(EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `doSwitch(org.eclipse.emf.ecore.EObject)`
Generated: